Deployments.ai Docs
Extensions

Update an extension tool

PATCH /v1/extensions/{toolName} · SDK updateExtensionTool · CLI deployments extension update

PATCH
/v1/extensions/{toolName}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

toolName*string
Match^[A-Za-z0-9](?:[A-Za-z0-9._/-]{0,254}[A-Za-z0-9])?$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
callbackSecret?string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 4096
defaultPolicyAction?string
Value in"allow""deny""require_approval"
description?string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 4096
effect?string
Value in"execute""read""write"
execution?|||
expectedVersion*integer
Range0 <= value
inputSchema?
outputSchema?
providerKey?string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
requiredScopes?array<>
secrets?

Response Body

ExtensionToolResponse

application/json
  1. response
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
defaultPolicyAction*string
Value in"allow""deny""require_approval"
description*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 8192
effect*string
Value in"execute""read""write"
execution*||||
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
hasCallbackAuth*boolean
inputSchema*
outputSchema?
name*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 256
providerKey?string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
requiredScopes*array<string>
status*string
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
curl -X PATCH "https://example.com/v1/extensions/string" \  -H "x-deployments-environment: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "expectedVersion": 0  }'
{  "createdAt": "2019-08-24T14:15:22Z",  "defaultPolicyAction": "allow",  "description": "string",  "effect": "execute",  "execution": {    "mcpServerId": "string",    "remoteToolName": "string",    "type": "mcp"  },  "id": "string",  "hasCallbackAuth": true,  "inputSchema": {    "property1": null,    "property2": null  },  "outputSchema": {    "property1": null,    "property2": null  },  "name": "string",  "providerKey": "string",  "requiredScopes": [    "string"  ],  "status": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0}